提供zblog模板_zblog主题_wordpress模板的下载和定制
当前位置:网站首页 > 教程 > dedecms教程 > 正文

dedecms提示:Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in

天兴工作室 2019-03-03 dedecms教程 8975 0 评论


今天给一个dedecms网站搬家。

按常规步骤:web文件复制过去,数据库用phpmyadmin导出导入过去,修改“data/common.inc.php”里面的数据库信息。

打开首页正常,登录后台的时候直接提示“Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in**********”,如下图:

dedecms提示:Deprecated: autoload() is deprecated, use spl autoload register() instead in php版本 dedecms错误 dedecms教程 第1张

翻译报错信息和搜索后得出结果,php7以上版本不支持用“function __autoload(){}”,所以才会报这个错误。

解决办法也很简单,把php版本降低一点就行了,5.6和5.4都行。

没有找到解决你问题的教程?

您可以试着搜索一下或者直接在线提问。我们也提供收费技术支持,有需要可以在线联系我们。

在线提问 在线客服

取消回复欢迎 发表评论:

  • 请填写验证码
  • 最新文章
  • 热文排行
  • 最多评论
标签聚合

社交账号登录

将本文分享给你的朋友们